### Hierarchy

- DatePicker

### Implements

- OnInit
- OnDestroy
- OnChanges
- AfterViewChecked
- AfterViewInit
- AfterContentInit

## Index

### Inputs

- ariaLabel
- dateFormat
- disabled
- id
- invalid
- invalidText
- label
- language
- pattern
- placeholder
- plugins
- range
- rangeInvalid
- rangeInvalidText
- rangeLabel
- rangeWarn
- rangeWarnText
- size
- skeleton
- theme
- warn
- warnText
- flatpickrOptions
- inputPattern
- value

### Outputs

- valueChange

### Constructors

- constructor

### Properties

- _value
- ariaLabel
- dateFormat
- disabled
- elementRef
- elementService
- flatpickrInstance
- i18n
- id
- input
- invalid
- invalidText
- label
- language
- pattern
- placeholder
- plugins
- range
- rangeInput
- rangeInvalid
- rangeInvalidText
- rangeLabel
- rangeWarn
- rangeWarnText
- size
- skeleton
- theme
- valueChange
- visibilitySubscription
- warn
- warnText
- datePickerCount

### Accessors

- flatpickrOptions
- inputPattern
- value

### Methods

- addInputListeners
- didDateValueChange
- doSelect
- isFlatpickrLoaded
- leftArrowHTML
- ngAfterContentInit
- ngAfterViewChecked
- ngAfterViewInit
- ngOnChanges
- ngOnDestroy
- ngOnInit
- onFocus
- onFocusOut
- onRangeValueChange
- onTouched
- onValueChange
- openCalendar
- preventCalendarClose
- propagateChange
- registerOnChange
- registerOnTouched
- resetFlatpickrInstance
- rightArrowHTML
- setDateValues
- setDisabledState
- updateAttributes
- updateCalendarListeners
- updateClassNames
- writeValue

### Object literals

- _flatpickrOptions
- flatpickrBaseOptions

## Constructors

### constructor

- new DatePicker(elementRef: ElementRef, elementService: ElementService, i18n: I18n): DatePicker

- - Defined in src/datepicker/datepicker.component.ts:287

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### elementService: ElementService

  - ##### i18n: I18n

  #### Returns DatePicker

## Properties

### Protected _value

_value: any[] = []

- Defined in src/datepicker/datepicker.component.ts:242

### ariaLabel

@Input()
ariaLabel: string = "calendar container"

- Defined in src/datepicker/datepicker.component.ts:143

### dateFormat

@Input()
dateFormat: string = "m/d/Y"

- Defined in src/datepicker/datepicker.component.ts:124

### disabled

@Input()
disabled: boolean = false

- Defined in src/datepicker/datepicker.component.ts:177

### Protected elementRef

elementRef: ElementRef

- Defined in src/datepicker/datepicker.component.ts:290

### Protected elementService

elementService: ElementService

- Defined in src/datepicker/datepicker.component.ts:291

### Protected flatpickrInstance

flatpickrInstance: any = null

- Defined in src/datepicker/datepicker.component.ts:285

### Protected i18n

i18n: I18n

- Defined in src/datepicker/datepicker.component.ts:292

### id

@Input()
id: string = `datepicker-${DatePicker.datePickerCount++}`

- Defined in src/datepicker/datepicker.component.ts:162

### input

@ViewChild({"selector":"input","opts":"{ static: true }"})
input: DatePickerInput

- Defined in src/datepicker/datepicker.component.ts:235

### invalid

@Input()
invalid: boolean = false

- Defined in src/datepicker/datepicker.component.ts:181

### invalidText

@Input()
invalidText: string | TemplateRef<any>

- Defined in src/datepicker/datepicker.component.ts:185

### label

@Input()
label: string | TemplateRef<any>

- Defined in src/datepicker/datepicker.component.ts:134

### language

@Input()
language: string = "en"

- Defined in src/datepicker/datepicker.component.ts:132

### pattern

@Input()
pattern: string = "^\d{1,2}/\d{1,2}/\d{4}$"

- Defined in src/datepicker/datepicker.component.ts:149

### placeholder

@Input()
placeholder: string = "mm/dd/yyyy"

- Defined in src/datepicker/datepicker.component.ts:138

### plugins

@Input()
plugins: any[] = []

- Defined in src/datepicker/datepicker.component.ts:215

### range

@Input()
range: boolean = false

- Defined in src/datepicker/datepicker.component.ts:117

### rangeInput

@ViewChild({"selector":"rangeInput","opts":"{ static: false }"})
rangeInput: DatePickerInput

- Defined in src/datepicker/datepicker.component.ts:238

### rangeInvalid

@Input()
rangeInvalid: boolean = false

- Defined in src/datepicker/datepicker.component.ts:199

### rangeInvalidText

@Input()
rangeInvalidText: string | TemplateRef<any>

- Defined in src/datepicker/datepicker.component.ts:203

### rangeLabel

@Input()
rangeLabel: string

- Defined in src/datepicker/datepicker.component.ts:136

### rangeWarn

@Input()
rangeWarn: boolean = false

- Defined in src/datepicker/datepicker.component.ts:207

### rangeWarnText

@Input()
rangeWarnText: string | TemplateRef<any>

- Defined in src/datepicker/datepicker.component.ts:211

### size

@Input()
size: "sm" | "md" | "xl" = "md"

- Defined in src/datepicker/datepicker.component.ts:195

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/datepicker/datepicker.component.ts:213

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/datepicker/datepicker.component.ts:175

### valueChange

@Output()
valueChange: EventEmitter<any> = new EventEmitter()

- Defined in src/datepicker/datepicker.component.ts:240

### Protected visibilitySubscription

visibilitySubscription: Subscription = new Subscription()

- Defined in src/datepicker/datepicker.component.ts:287

### warn

@Input()
warn: boolean = false

- Defined in src/datepicker/datepicker.component.ts:189

### warnText

@Input()
warnText: string | TemplateRef<any>

- Defined in src/datepicker/datepicker.component.ts:193

### Static Private datePickerCount

datePickerCount: number = 0

- Defined in src/datepicker/datepicker.component.ts:112

## Accessors

### flatpickrOptions

@Input()
flatpickrOptions:

- Defined in src/datepicker/datepicker.component.ts:218
- Defined in src/datepicker/datepicker.component.ts:221

### inputPattern

@Input()
inputPattern:

- Defined in src/datepicker/datepicker.component.ts:154
- Defined in src/datepicker/datepicker.component.ts:158

### value

@Input()
value:

- Defined in src/datepicker/datepicker.component.ts:164
- Defined in src/datepicker/datepicker.component.ts:171

## Methods

### Protected addInputListeners

- addInputListeners(): void

- - Defined in src/datepicker/datepicker.component.ts:491

  #### Returns void

### Protected didDateValueChange

- didDateValueChange(currentValue: any, previousValue: any): boolean

- - Defined in src/datepicker/datepicker.component.ts:684

  #### Parameters

  - ##### currentValue: any

  - ##### previousValue: any

  #### Returns boolean

### Protected doSelect

- doSelect(selectedValue: (string | Date)[]): void

- - Defined in src/datepicker/datepicker.component.ts:661

  #### Parameters

  - ##### selectedValue: (string | Date)[]

  #### Returns void

### Protected isFlatpickrLoaded

- isFlatpickrLoaded(): boolean

- - Defined in src/datepicker/datepicker.component.ts:691

  #### Returns boolean

### Protected leftArrowHTML

- leftArrowHTML(): string

- - Defined in src/datepicker/datepicker.component.ts:710

  #### Returns string

### ngAfterContentInit

- ngAfterContentInit(): void

- - Defined in src/datepicker/datepicker.component.ts:356

  #### Returns void

### ngAfterViewChecked

- ngAfterViewChecked(): void

- - Defined in src/datepicker/datepicker.component.ts:343

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/datepicker/datepicker.component.ts:323

  #### Returns void

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

- - Defined in src/datepicker/datepicker.component.ts:306

  #### Parameters

  - ##### changes: SimpleChanges

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/datepicker/datepicker.component.ts:425

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in src/datepicker/datepicker.component.ts:295

  #### Returns void

### onFocus

@HostListener({"eventName":"focusin"})

- onFocus(): void

- - Defined in src/datepicker/datepicker.component.ts:367

  #### Returns void

### onFocusOut

@HostListener({"eventName":"focusout"})

- onFocusOut(): void

- - Defined in src/datepicker/datepicker.component.ts:382

  #### Returns void

### onRangeValueChange

- onRangeValueChange(event: string): void

- - Defined in src/datepicker/datepicker.component.ts:449

  #### Parameters

  - ##### event: string

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/datepicker/datepicker.component.ts:418

  #### Returns void

### onValueChange

- onValueChange(event: string): void

- - Defined in src/datepicker/datepicker.component.ts:434

  #### Parameters

  - ##### event: string

  #### Returns void

### openCalendar

- openCalendar(datepickerInput: DatePickerInput): void

- - Defined in src/datepicker/datepicker.component.ts:460

  #### Parameters

  - ##### datepickerInput: DatePickerInput

  #### Returns void

### Protected preventCalendarClose

- preventCalendarClose(event: any): any

- - Defined in src/datepicker/datepicker.component.ts:659

  #### Parameters

  - ##### event: any

  #### Returns any

### propagateChange

- propagateChange(_: any): void

- - Defined in src/datepicker/datepicker.component.ts:420

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/datepicker/datepicker.component.ts:410

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/datepicker/datepicker.component.ts:414

  #### Parameters

  - ##### fn: any

  #### Returns void

### Protected resetFlatpickrInstance

- resetFlatpickrInstance(newDates: SimpleChange): void

- - Defined in src/datepicker/datepicker.component.ts:539

  #### Parameters

  - ##### Optional newDates: SimpleChange

  #### Returns void

### Protected rightArrowHTML

- rightArrowHTML(): string

- - Defined in src/datepicker/datepicker.component.ts:699

  #### Returns string

### Protected setDateValues

- setDateValues(dates: (string | Date)[]): void

- - Defined in src/datepicker/datepicker.component.ts:611

  #### Parameters

  - ##### dates: (string | Date)[]

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/datepicker/datepicker.component.ts:406

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### Protected updateAttributes

- updateAttributes(): void

- - Defined in src/datepicker/datepicker.component.ts:599

  #### Returns void

### Protected updateCalendarListeners

- updateCalendarListeners(): void

- - Defined in src/datepicker/datepicker.component.ts:480

  #### Returns void

### Protected updateClassNames

- updateClassNames(): void

- - Defined in src/datepicker/datepicker.component.ts:554

  #### Returns void

### writeValue

- writeValue(value: (string | Date)[]): void

- - Defined in src/datepicker/datepicker.component.ts:390

  #### Parameters

  - ##### value: (string | Date)[]

  #### Returns void

## Object literals

### Protected _flatpickrOptions

_flatpickrOptions: object

- Defined in src/datepicker/datepicker.component.ts:244

### allowInput

allowInput: boolean = true

- Defined in src/datepicker/datepicker.component.ts:245

### Protected flatpickrBaseOptions

flatpickrBaseOptions: object

- Defined in src/datepicker/datepicker.component.ts:248

### dateFormat

dateFormat: string = "m/d/Y"

- Defined in src/datepicker/datepicker.component.ts:250

### mode

mode: string = "single"

- Defined in src/datepicker/datepicker.component.ts:249

### nextArrow

nextArrow: string = this.rightArrowHTML()

- Defined in src/datepicker/datepicker.component.ts:280

### plugins

plugins: any[] = this.plugins

- Defined in src/datepicker/datepicker.component.ts:251

### prevArrow

prevArrow: string = this.leftArrowHTML()

- Defined in src/datepicker/datepicker.component.ts:281

### value

value: (string | Date)[] = this.value

- Defined in src/datepicker/datepicker.component.ts:282

### onClose

- onClose(): void

- - Defined in src/datepicker/datepicker.component.ts:257

  #### Returns void

### onDayCreate

- onDayCreate(_dObj: any, _dStr: any, _fp: any, dayElem: any): void

- - Defined in src/datepicker/datepicker.component.ts:277

  #### Parameters

  - ##### _dObj: any

  - ##### _dStr: any

  - ##### _fp: any

  - ##### dayElem: any

  #### Returns void

### onOpen

- onOpen(): void

- - Defined in src/datepicker/datepicker.component.ts:252

  #### Returns void

Generated using TypeDoc